/**
 * Copyright (C) 2015 Joe Bandenburg
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published
 * by the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

var fs = require("fs");
var ES6Promise = require("es6-promise").Promise;

var Server = require("./lib/Server");

var contacts = {};
try {
    contacts = JSON.parse(fs.readFileSync("data.json"));
} catch (e) {
    console.log("Warning: Failed to load previous state");
}

var contactStore = {
    getContact: function(number) {
        return ES6Promise.resolve(contacts[number]);
    },
    putContact: function(number, contact) {
        contacts[number] = contact;
        return new ES6Promise(function(resolve) {
            fs.writeFile("data.json", JSON.stringify(contacts), resolve);
        });
    }
};

new Server(contactStore, 8080);
